#import "GTKContainer.h"
#import <gtk/gtk.h>

@implementation GTKContainer

- addWidget: (id) childwidget
{
	GtkWidget *childPointer = [childwidget getWidgetPointer];
	gtk_container_add (GTK_CONTAINER(widget), childPointer);
	return self;
}

- borderWidth: (int) width
{
	gtk_container_set_border_width(widget, width);
	return self;
}
- (int) borderWidth;
{
	return gtk_container_get_border_width(widget);
}

- showAll
{
	gtk_widget_show_all(widget);
	return self;
}
- hideAll
{
	gtk_widget_hide_all(widget);
	return self;
}
@end
