#import <objc/Object.h>
#import <gtk/gtk.h>

@interface GTKWidget : Object
{
	GtkWidget *widget;
	id *parentPointer;
}

/* Public methods */
+ new;

// Set and retrieve parent
- parent: (id) parent;
- (id*) parent;

- display;
// Show/hide the widget
- show;
- hide;
// Set the background color of a widget
//- bgColor: (GdkColor*) color when: (GtkStateType*) state;
// Set if the widget is sensitive (not greyed out)
- sensitive: (gboolean) sensitive;
// Get a pointer to the widget in memory should you want to maunally manipulate it
- (GtkWidget*) getWidgetPointer;
// BOOM!  this will remove the widget and class instance from memory
- destroy;
// Begin GTKWidget events
- onDestroy: (void*) function;
@end
